/*
 * @Author: wrh
 * @Date: 2024-04-07 15:29:32
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-04-10 16:45:53
 */
import request from '@/utils/request'

// 查询cmc项目审批列表
export function listProjectComment(query) {
  return request({
    url: '/oa/projectComment/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目审批详细
export function getProjectComment(projectId) {
  return request({
    url: '/oa/projectComment/' + projectId,
    method: 'get'
  })
}

// 新增cmc项目审批
export function addProjectComment(data) {
  return request({
    url: '/oa/projectComment',
    method: 'post',
    data: data
  })
}

// 修改cmc项目审批
export function updateProjectComment(data) {
  return request({
    url: '/oa/projectComment',
    method: 'put',
    data: data
  })
}

// 删除cmc项目审批
export function delProjectComment(projectId) {
  return request({
    url: '/oa/projectComment/' + projectId,
    method: 'delete'
  })
}
